/**
 * 
 * @author Christian Rempis
 * c.rempis@gmx.de
 * 
 */
package de.uos.ikw.octavio.spinalcordmanager.formatter;

public class EmptyDataFormatter extends DataFormatter {

	public EmptyDataFormatter(String name, int consumedBytes) {
		super(name, consumedBytes, "Returns null and consumes " + consumedBytes + " from the byte stream.");
	}
	
	public DataFormatter createCopy() {
		EmptyDataFormatter f = new EmptyDataFormatter(getName(), getNumberOfBytesPerData());
		f.setDescription(getDescription());
		return f;
	}
	
	public Object formatData(byte[] data, int offset) {
		return null;
	}

}
