package de.uos.ikw.octavio.spinalcordmanager.gui.tableviewer;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JPanel;
import javax.swing.JToggleButton;

import de.uos.ikw.octavio.spinalcordmanager.core.SpinalCordManager;
import de.uos.ikw.octavio.spinalcordmanager.gui.GuiElement;

public class IgnoreSynchronizationSelectionPanel extends GuiElement {

	private JPanel mDisplay;
	private JToggleButton mIgnoreSychronizationSelectionButton;
	
	public IgnoreSynchronizationSelectionPanel() {
		super("IgnoreSynchronizationSelectionPanel");
		mDisplay = new JPanel(new BorderLayout());
		
		mIgnoreSychronizationSelectionButton = new JToggleButton("Ignore Synchronization");
		mIgnoreSychronizationSelectionButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				SpinalCordManager.getInstance().getDataManager().setIgnoreFrameSynchronization(
						mIgnoreSychronizationSelectionButton.isSelected());
			}
		});
		
		mDisplay.add(mIgnoreSychronizationSelectionButton, BorderLayout.CENTER);
	}


	public JPanel getDisplay() {
		return mDisplay;
	}
	
	
}
